/*
**	File:		02 Circular log.sql
**
**	Summary:	Run in a job to run indirect checkpoints prior to SQL 2012
**				set the percentage limit before running.
**
**	SQL Server Versions:	2005 onwards
**	----------------------------------------------------------------------------
**	Written by Rainer Unwin (c) 2014
**
**	For more scripts check out http://www.rmuniwn.com
**
**	You may alter this code for your own non-commercial purposes (e.g. in a
**	for-sale commercial tool).
**	You may republish altered code as long as you include this copyright and
**	give due credit, however you must obtain my prior permission before blogging
**	this code.
**
**	this code and information are provided "as is" without warranty of
**	any kind, either expressed or implied, including but not limited
**	to the implied warranties of merchantability and/or fitness for a
**	particular purpose. You use the script at your own risk and should
**	always test in a pre-production or test environment before running
**	in production.
*/
use tlogbasics;
go

-- Run this in tandem with the next script. Once you have the next script ready
-- run this and run the next script at intervals to watch the circular nature
-- of the log.

-- Create a table to use
if object_id(N'circle', N'U') is not null drop table circle;
go
create table circle (i int not null, col1 char(500) default 'a' not null);
go

-- Insert 200 records at a time to generate some log in the database
while 1 = 1
begin
	insert into circle (i)
	select top (200) i
	from (
		select top (200) row_number() over(order by name)
		from sys.all_columns
	) v (i);

	waitfor delay '00:00:00.500';
end;
go