/*
**	File:		02-2 Circular log - dbcc loginfo.sql
**
**	Summary:	Run in a job to run indirect checkpoints prior to SQL 2012
**				set the percentage limit before running.
**
**	SQL Server Versions:	2005 onwards
**	----------------------------------------------------------------------------
**	Written by Rainer Unwin (c) 2014
**
**	For more scripts check out http://www.rmuniwn.com
**
**	You may alter this code for your own non-commercial purposes (e.g. in a
**	for-sale commercial tool).
**	You may republish altered code as long as you include this copyright and
**	give due credit, however you must obtain my prior permission before blogging
**	this code.
**
**	this code and information are provided "as is" without warranty of
**	any kind, either expressed or implied, including but not limited
**	to the implied warranties of merchantability and/or fitness for a
**	particular purpose. You use the script at your own risk and should
**	always test in a pre-production or test environment before running
**	in production.
*/
use tlogbasics;
go

-- Run this in tandem with the previous script. Once you have the previous script
-- ready run this script at intervals to watch the circular nature of the log.
dbcc loginfo(tlogbasics);
go

-- Points to note: -
-- 1) FSeqNo increases, even with rollover to reuse VLFs
-- 2) Status changes to 2 as a VLF is used and back to 0 when
--		log clearing takes place, this is due to nothing holding
--		the log active and either a checkpoint or log backup
--		allowing log clearing to take place
-- 3) Parity moves from 0 (Never used) to 64 on first use. Then
--		alternates between 64 and 128 on each re-use of the VLF